Are you sure you want to do this? Please try again.

Sometimes, WordPress shows an error like:

Are you sure you want to do this?

Please try again.

This if often caused by memory limitations (script runs out of memory due to multiple plugins and complex theme installed on site).

To fix this memory limits need to be increased from the default of 40M. Usually 128M fixes most setups, but 256M can be used if more is required for certain operations.  This can be done from wp-config.php :

define( 'WP_MEMORY_LIMIT', '128M' );

A plugin like WP Config File Editor can be used.

That doesn’t work? Error can also be caused by bad plugin and/or theme code that generates memory usage loops.
Disabling plugins and switching to a standard theme will fix the issue in this case. Then plugins/theme can be reactivated one by one to identify which one/combination is causing the issue.


Upgrade to latest CURL and Open SSL in WHM

eCommerce providers like Paypal introduced more strict SSL requirements. Ex:
“requires OpenSSL >= 1.0.1 to be installed on your server”

PHP info shows:
SSL Version OpenSSL/1.0.0


  • Install latest CURL:

cd /usr/local/src
tar -xvzf curl-7.52.1.tar.gz
cd curl*

./configure –enable-threaded-resolver –enable-http –enable-ftp –enable-proxy –enable-tftp –enable-ntlm –enable-static –with-ssl=/usr/local/ssl –enable-ipv6 –enable-shared –with-libidn
make && make install

/usr/local/bin/curl –version

  • Configure PHP to use it -Create a new file /var/cpanel/easy/apache/rawopts/all_php5 with this contents:
  • Rebuild Apache & PHP with EasyApache 3.


PHP info should now show:
cURL Information 7.52.1
SSL Version OpenSSL/1.0.1e